Groovy 1.7.0

## groovy.ui
Class SystemOutputInterceptor

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              groovy.ui.SystemOutputInterceptor

    class SystemOutputInterceptor
    extends FilterOutputStream

Intercepts System.out. Implementation helper for Console.groovy.

version:
  $Id: SystemOutputInterceptor.java 7797 2007-08-28 15:36:50Z shemnon $

Constructor Summary
`SystemOutputInterceptor(Closure callback)` Constructor accepts a string to be sent to std out and returns a Boolean.

Method Summary
`void` | `start()` Starts intercepting System.out
`void` | `stop()` Stops intercepting System.out, sending output to whereever it was going when this interceptor was created.
`void` | `write(byte[] b, int off, int len)` Intercepts output - moret common case of byte[]
`void` | `write(int b)` Intercepts output - single characters

Methods inherited from class FilterOutputStream
write, write, write, close, flush, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class OutputStream
write, write, write, close, flush, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SystemOutputInterceptor

    public SystemOutputInterceptor(Closure callback)

  Constructor
  param:
    callback accepts a string to be sent to std out and returns a Boolean. If the return value is true, output will be sent to System.out, otherwise it will not.

Method Detail

### start

    public void start()

  Starts intercepting System.out

### stop

    public void stop()

  Stops intercepting System.out, sending output to whereever it was going when this interceptor was created.

### write

    public void write(byte[] b, int off, int len)

  Intercepts output - moret common case of byte[]

### write

    public void write(int b)

  Intercepts output - single characters

Copyright © 2003-2009 The Codehaus. All rights reserved.